Subject: Re: [PATCH] powerpc: Remove device_type = "rtc" properties in .dts files

From: Anton Vorontsov <[email-masked]>
Date: Wed, 22 Oct 2008 22:59:13 +0400

On Wed, Oct 22, 2008 at 01:40:50PM -0500, Matt Sealey wrote:
>
>
> Anton Vorontsov wrote:
>> On Wed, Oct 22, 2008 at 08:38:03AM -0500, Matt Sealey wrote:
>>> I'm extremely troubled that it is "not used in the code", surely  
>>> device_type is checked as a legacy for Open Firmware (otherwise a lot 
>>> of devices may never be detected!),
>>
>> Checked where? 
>
> of_find_device_by_type() goes through it and of_find_compatible_node() - 
> while not directly, checks the type field of the node which is filled in 
> from device_type BEFORE it checks the compatible property.

Yes, I know this.

> This isn't specific CHRP/FDT platform code it's in the generic tree 
> scanning functions.

I think I got it. ;-) You think that I'm not aware of that we _can_
use the device_type for matching the nodes. Well, I'm aware of it,
sure we can. ;-)

But we don't use it for the rtc nodes, and we don't want to encourage
the usage for the flat trees. And that's the point of this patch.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2